﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public rp As RuntimePermissions
	Public kvs As KeyValueStore
	Public strAppDir As String
	Public bmpIcon32 As Bitmap
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	Dim jo As JavaObject
	
	bmpIcon32 = LoadBitmap(File.DirAssets, "rep_aid32.png")
	
	jo.InitializeStatic("java.util.Locale").RunMethod("setDefault", Array(jo.GetField("UK")))
	
	If strAppDir.Length = 0 Then
		strAppDir = GetSDAppFolder
	End If
	
	kvs.Initialize(strAppDir, "DataStorage")
	kvs.Put("App Folder", strAppDir)
	kvs.Put("Main DB Name", "PhonePatsE.db")
	kvs.Put("Hide login password", False)

End Sub

Sub Service_Start (StartingIntent As Intent)
	

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

Public Sub GetSDAppFolder As String
	
	'get the application folder on the SD
	'this will need to be altered as it currently is
	'mainly applicable to my particular device (Samsung S9)
	'------------------------------------------------------
	Dim i As Int
	Dim strDir As String
	Dim strDir2 As String

	For Each strDir As String In rp.GetAllSafeDirsExternal("")
		If strDir.Length > 0 Then
			i = i + 1
			If i = 2 Then
				strDir2 = strDir
			End If
		End If
	Next
	
	Return strDir2
	
End Sub
